Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Mount > > Struct Template Reference

This specialization of TypeTraits exists because the default use of Glib::wrap(GObject*), instead of a specific Glib::wrap(GSomeInterface*), would not return a wrapper for an interface. More...

`#include <giomm/mount.h>`

## Public Types

using | CppType = Glib::RefPtr< Gio::Mount >
using | CType = GMount*
using | CTypeNonConst = GMount*

## Static Public Member Functions

static CType | to_c_type (const CppType& item)
static CppType | to_cpp_type (const CType& item)
static void | release_c_type (CType item)

## Detailed Description

### template<>
struct Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Mount > >

This specialization of TypeTraits exists because the default use of Glib::wrap(GObject*), instead of a specific Glib::wrap(GSomeInterface*), would not return a wrapper for an interface.

## Member Typedef Documentation

using Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Mount > >::CppType = Glib::RefPtr<Gio::Mount>

using Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Mount > >::CType = GMount*

using Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Mount > >::CTypeNonConst = GMount*

## Member Function Documentation

static void Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Mount > >::release_c_type | ( | CType | item | ) |

inlinestatic

static CType Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Mount > >::to_c_type | ( | const CppType& | item | ) |

inlinestatic

static CppType Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Mount > >::to_cpp_type | ( | const CType& | item | ) |

inlinestatic